Extension:GWToolset

This page is a translated version of the page Extension:GWToolset and the translation is 71% complete.
Other languages:
English • ‎Türkçe • ‎español • ‎français • ‎português • ‎svenska • ‎русский • ‎українська • ‎עברית • ‎العربية • ‎中文 • ‎日本語
Manuel des extensions MediaWiki
OOjs UI icon advanced.svg
GWToolset
État de la version : bêta
GWT-metadata-mapping.png
Implémentation Média, Page spéciale
Description Téléchargement en masse de contenu basé sur les métadonnées fournies
Auteur(s) Dan Entous (dan-nldiscussion)
Dernière version 0.3.8 (2014-09-16)
MediaWiki 1.22+
PHP 5.4+
Modifications de
la base de données
Non
Licence Licence publique générale GNU v3.0 ou supérieur
Téléchargement
  • $wgGWToolsetConfigOverrides
  • $wgGWTFBMaxAge
  • $wgGWTFileBackend
  • gwtoolset
Traduire l’extension GWToolset sur translatewiki.net

Vérifier la matrice des utilisations et des versions.

Problèmes Tâches ouvertes · Signaler un bogue

GWToolset (ou GLAMWikiToolset, ou encore Boîte à outil GLAM) est une extension de Page Spéciale. Son but principal est de permettre aux GLAMs de téléverser massivement du contenu (images, vidéos et sons) à Wikimedia Commons en se basant sur leurs métadonnées respectives (XML); l'objectif est de permettre l'utilisation d'une grande variété de schémas XML. L'extension accomplit cette tâche en plusieurs étapes destinées aux utilisateurs. Il leur est présenté des formulaires HTML afin de mettre en place un processus de téléversement de masse du contenu et ses métadonnées sur le wiki, en créant une page de média pour chaque élément téléversé.

Le projet, cofondé par Europeana et quelques chapitre locaux de Wikimedia[1], est en phase de développement actif.

Plus d'informations sont disponibles sur la page du projet. Vos retours et questions sont les bienvenus, n'hésitez pas à nous contacter.


Installation

  • Téléchargez et placez le(s) fichiers (s) dans un répertoire appelé GWToolset dans votre dossier extensions/.
  • Ajoutez le code suivant à la fin de votre fichier LocalSettings.php :
    require_once "$IP/extensions/GWToolset/GWToolset.php";
    
  • Read the INSTALL file and make sure your wiki configuration satisfies all those dependences.
  •   Fait – Accédez à Special:Version sur votre wiki pour vérifier que l'extension a bien été installée.

Utilisation

Voir aussi

Notes et références